com.brightcove.player.config

## Class LoadControlConfig

- java.lang.Object
- - com.brightcove.player.config.LoadControlConfig

-     public class LoadControlConfig
      extends java.lang.Object

  Config class used when creating a `LoadControl` instance.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LoadControlConfig.Builder` The LoadControlConfig Builder.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AllocatorConfig` | `getAllocatorConfig()` Gets the AllocatorConfig object.
    `int` | `getBufferForPlaybackAfterRebufferMs()` Gets the default duration of media that must be buffered for playback to resume after a rebuffer, in milliseconds.
    `int` | `getBufferForPlaybackMs()` Gets the duration of media that must be buffered for playback to start or resume following a user action such as a seek, in milliseconds.
    `int` | `getMaxBufferMs()` Gets the maximum duration of media that the player will attempt buffer, in milliseconds.
    `int` | `getMinBufferMs()` Gets the minimum duration of media that the player will attempt to ensure is buffered at all times, in milliseconds.
    `int` | `getTargetBufferBytes()` Gets the target buffer size in bytes.
    `boolean` | `isPrioritizeTimeOverSizeThresholds()` Gets whether the load control prioritizes buffer time constraints over buffer size constraints.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMinBufferMs

          public int getMinBufferMs()

      Gets the minimum duration of media that the player will attempt to ensure is buffered at all times, in milliseconds.
      Returns:
        the min buffer in milliseconds
      See Also:
        `DefaultLoadControl`

    - #### getMaxBufferMs

          public int getMaxBufferMs()

      Gets the maximum duration of media that the player will attempt buffer, in milliseconds.
      Returns:
        the max buffer in milliseconds
      See Also:
        `DefaultLoadControl`

    - #### getBufferForPlaybackMs

          public int getBufferForPlaybackMs()

      Gets the duration of media that must be buffered for playback to start or resume following a user action such as a seek, in milliseconds.
      Returns:
        the buffer for playback in milliseconds
      See Also:
        `DefaultLoadControl`

    - #### getBufferForPlaybackAfterRebufferMs

          public int getBufferForPlaybackAfterRebufferMs()

      Gets the default duration of media that must be buffered for playback to resume after a rebuffer, in milliseconds. A rebuffer is defined to be caused by buffer depletion rather than a user action.
      Returns:
        the buffer for playback after rebuffer in milliseconds
      See Also:
        `DefaultLoadControl`

    - #### getTargetBufferBytes

          public int getTargetBufferBytes()

      Gets the target buffer size in bytes.
      Returns:
        the target buffer bytes
      See Also:
        `DefaultLoadControl`

    - #### isPrioritizeTimeOverSizeThresholds

          public boolean isPrioritizeTimeOverSizeThresholds()

      Gets whether the load control prioritizes buffer time constraints over buffer size constraints.
      See Also:
        `DefaultLoadControl`

    - #### getAllocatorConfig

          @NonNull
          public AllocatorConfig getAllocatorConfig()

      Gets the AllocatorConfig object.
      Returns:
        the allocator config